Bug 1380799 - [RFE] individual on_demand for Satellite and Capsule
Summary: [RFE] individual on_demand for Satellite and Capsule
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Capsule
Version: 6.2.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Perry Gagne
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1484974 (view as bug list)
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2016-09-30 14:58 UTC by Beat Rubischon
Modified: 2021-03-11 14:43 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 16808 0 Normal Closed add download policy setting to capsules 2020-04-27 19:47:14 UTC
Red Hat Knowledge Base (Solution) 2677751 0 None None None 2016-09-30 15:15:30 UTC

Description Beat Rubischon 2016-09-30 14:58:47 UTC
Description of problem:

The current implementation of lazy_sync doesn't allow an online sync on the Satellite (to make sure all content is available in house when requested by a content host) and on demand sync on the capsules (where the network connectivity is in the hand of the customer).

Version-Release number of selected component (if applicable):

6.2.2

How reproducible:

Always

Steps to Reproduce:
1. Mark a product "on_demand"
2.
3.

Actual results:

Both Satellite and Capsule(s) are "on_demand" or "immediate"

Expected results:

Individual setting for Satellite and Capsule

Additional info:

Comment 3 Justin Sherrill 2016-10-05 13:12:10 UTC
Connecting redmine issue http://projects.theforeman.org/issues/16808 from this bug

Comment 4 Bryan Kearney 2016-10-05 16:12:41 UTC
Upstream bug component is Capsule

Comment 5 Bryan Kearney 2016-10-31 20:19:10 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16808 has been resolved.

Comment 6 Justin Sherrill 2017-08-28 13:40:43 UTC
*** Bug 1484974 has been marked as a duplicate of this bug. ***

Comment 8 Justin Sherrill 2018-02-08 20:58:45 UTC
Hi, 

We are verifying this feature for Satellite 6.3 and had one clarification.  

The general intent of this bug was to provide per-capsule download policies, such that repositories could be synced using immediate on the satellite, but you a user could deploy a capsule using on_demand for all repositories.

Line 6 above seems to differ from that goal:  

A repository should be marked as on_demand (globally), immediate / on_demand (immediate on the Satellite, on_demand on the Capsules) or immediate (globally)


Is having a per-capsule download policy (that affects all repos on the capsule) sufficient for this customer?

Thanks

Comment 12 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.